## faubackup 0.5pre1

=== Makefile ===
#   FauBackup - Backup System, using a Filesystem for Storage
#   Copyright (C) 2000-2002 Martin Waitz, Dr. Volkmar Sieh
#   $Id: Makefile,v 1.11 2001/03/10 16:03:41 mnwaitz Exp $
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


prefix=/usr/local

 #       #
###########
VERSION=0.5
###########
 #       #

BUILD=./=build
CC=gcc
CFLAGS+=-Wall

PROGS=$(BUILD)/faubackup $(BUILD)/faubackup-find $(BUILD)/faubackup-gather $(BUILD)/faubackup-scatter

all: build



#
# Building
#

build: $(BUILD) $(PROGS)

$(BUILD):
	mkdir $@


#
# Installation
#

install: build
	mkdir -p $(DESTDIR)/etc
	mkdir -p $(DESTDIR)$(prefix)/sbin
	mkdir -p $(DESTDIR)$(prefix)/share/man/man5
	mkdir -p $(DESTDIR)$(prefix)/share/man/man8
	for f in $(PROGS) ; do \
		install -m 755 $$f $(DESTDIR)$(prefix)/sbin/ ;\
	done
	cp -p faubackup.8 $(DESTDIR)$(prefix)/share/man/man8/
	cp -p faubackup-find.8 $(DESTDIR)$(prefix)/share/man/man8/
	cp -p faubackup-gather.8 $(DESTDIR)$(prefix)/share/man/man8/
	ln -s faubackup-gather.8 $(DESTDIR)$(prefix)/share/man/man8/faubackup-scatter.8
	cp -p faubackup.conf $(DESTDIR)/etc/
	cp -p faubackup.conf.5 $(DESTDIR)$(prefix)/share/man/man5/
uninstall:
	rm -f $(DESTDIR)/etc/faubackup.conf
	rm -f $(DESTDIR)$(prefix)/sbin/faubackup
	rm -f $(DESTDIR)$(prefix)/sbin/faubackup-find
	rm -f $(DESTDIR)$(prefix)/sbin/faubackup-gather
	rm -f $(DESTDIR)$(prefix)/sbin/faubackup-scatter
	rm -f $(DESTDIR)$(prefix)/share/man/man5/faubackup.conf.5
	rm -f $(DESTDIR)$(prefix)/share/man/man8/faubackup.8
	rm -f $(DESTDIR)$(prefix)/share/man/man8/faubackup-gather.8
	rm -f $(DESTDIR)$(prefix)/share/man/man8/faubackup-scatter.8


#############################################################################
#
# Rules:
#


clean:
	rm -rf $(BUILD)/

# Build Perl scripts
$(BUILD)/% : %.pl
	perl -c $<
	echo "#!`which perl` -w" > $@
	sed -e 's/@VERSION@/$(VERSION)/g' $< >> $@
	chmod +x $@

# Build C programs
$(BUILD)/%.o : %.c faubackup.h
	$(CC) -o $@ $(CFLAGS) $<
$(BUILD)/% : $(BUILD)/%.o
	$(LD) -o $@ $(LDFLAGS) $<

.PHONY: all clean dist-clean

## faubackup 0.5.8

=== debian/changelog ===
faubackup (0.5.8) unstable; urgency=low

  * fix umask, thanks for the NMU (Closes: #243255)
  * fix documentation about find usage (Closes: #250097,#250098)
  * support for --one-file-system
  * debian/control: add perl-modules dependency

 -- Martin Waitz <tali@debian.org>  Thu, 15 Apr 2004 19:43:35 +0200

faubackup (0.5.7.1) unstable; urgency=low

  * debian/control: add libpopt-dev to build depends

 -- Martin Waitz <tali@debian.org>  Sat, 10 Apr 2004 19:18:16 +0200

faubackup (0.5.7) unstable; urgency=low

  * by default, atime is not preserved any more
  * now uses stdio instead of direct syscalls
  * should fully work on solaris now (Closes: #148065)

 -- Martin Waitz <tali@debian.org>  Mon, 29 Mar 2004 00:35:37 +0200

faubackup (0.5.6) unstable; urgency=low

  * Switch build system to automake
  * Use CDBS for packaging

 -- Martin Waitz <tali@debian.org>  Thu, 11 Dec 2003 01:48:36 +0100

faubackup (0.5.5) unstable; urgency=low

  * really fix Makefile and version... *arg*

 -- Martin Waitz <tali@debian.org>  Thu, 16 Oct 2003 11:09:52 +0200

faubackup (0.5.4) unstable; urgency=low

  * don't warn if faubackup-gather can't reset accesstime

 -- Martin Waitz <tali@debian.org>  Wed, 15 Oct 2003 23:41:14 +0200

faubackup (0.5.3) unstable; urgency=low

  * Support for incremental backups by non-root users.
  * Fix build process
  * debian/rules: explicitly use gcc, cleanup

 -- Martin Waitz <tali@debian.org>  Wed, 15 Oct 2003 22:21:21 +0200

faubackup (0.5.2) unstable; urgency=low

  * call check_ignore on converted ignore line (Closes: #187014, #200398)
  * possibility to disable full regexps
  * document end-of-backup marker (Closes: #198443)
  * better faubackup-find dokumentation (hopefully Closes: #200401)
  * debian/control: Standards-Version 3.6.1.0
    (no changes to package neccessary)
  * debian/rules: correctly use time stamps

 -- Martin Waitz <tali@debian.org>  Mon,  1 Sep 2003 23:53:33 +0200

faubackup (0.5.1) unstable; urgency=low

  * introduce $getroot config variable (Closes: #156921)
  * Abort faubackup-scatter on ENOSPC (Closes: #149157)
  * Do a syntax check on regular expressions
  * Document that PATH must be correctly set on remote machines
    (Closes: #143255)
  * debian/control: Standards-Version 3.5.9.0
    (no changes to package neccessary)

 -- Martin Waitz <tali@debian.org>  Wed, 13 Mar 2003 23:53:23 +0100

faubackup (0.5.0) unstable; urgency=low

  * Make it a debian-native package
    it's easier for me to maintain it this way
  * include large file support (thanks to david.jericho@bytecomm.com.au)
  * Use "." as end marker to detect broken backups (Closes: #145822)
  * support autocreate for remote destdirs (thanks to alnikolov@narod.ru)
    (Closes: #156908)
  * Correct hostname parsing (Closes: #177323)
  * remove show version -V switch (Closes: #158183,#169396)
  * don't use '=' in build directory name
  * debian/control: Standards-Version 3.5.8.0
    (no changes to package neccessary)

 -- Martin Waitz <tali@debian.org>  Wed,  5 Mar 2003 23:53:23 +0100

faubackup (0.5pre1-2) unstable; urgency=high

  * yes, it's late, but perhaps it'll make it into woody ;)
  * merged upstream bugfix and documentation patches...
    - handle interupted system calls
    - update documentation to reflect changed --find option
      Closes: #144385
    - better error output
  * debian/control: Standards-Version 3.5.6.1
    (no changes to package neccessary)

 -- Martin Waitz <tali@debian.org>  Mon, 25 Mar 2002 23:56:30 +0100

faubackup (0.5pre1-1) unstable; urgency=low

  * New upsteam release
    - name change from vbackup to faubackup

 -- Martin Waitz <tali@debian.org>  Wed,  7 Mar 2002 17:29:52 +0200

vbackup (0.2.3-1) unstable; urgency=low

  * New upstream release
  - new --list option to display info about backups
  - now -depth is not used any more for find
  - find parameter may be specified in configfile
  - option to keep last daily backup instead of first

 -- Martin Waitz <tali@debian.org>  Wed, 30 May 2001 00:29:52 +0200

vbackup (0.2.2-1) unstable; urgency=low

  * upstream bugfix release
  - remote host handling should work now (Closes: #94624)
  - atime of files is preserved on backup (Closes: #96296)
  - documentation fixes (Closes: #93095)
  * Maintainer email set to tali@debian.org.
  * new Standards version (3.5.4), no changes neccessary

 -- Martin Waitz <tali@debian.org>  Mon, 21 May 2001 15:27:59 +0200

vbackup (0.2.1-1) unstable; urgency=medium

  * upstream bugfix release
  - fixed broken reread-on-shortread (Closes: #91784).
  - added NAME section to vbackup.conf.5

 -- Martin Waitz <tali@stud.uni-erlangen.de>  Wed,  4 Apr 2001 02:13:22 +0200

vbackup (0.2-1) unstable; urgency=low

  * New upstream release
  - supports filenames of arbitrary length
  - directories now get correct timestamps
  - does not rely on st_size==size of link (fixes #85436)
  - split program into two binaries
  - Updated Documentation (fixes #85927)
  - fixed config file handling
  - included copyright notice in source files
  - removed cvs logs from source files
  * bumped Standards-Version to 3.5.2 (no changes neccessary)
  * now using debhelper 3
  * changed eMail Address

 -- Martin Waitz <tali@stud.uni-erlangen.de>  Wed, 14 Mar 2001 00:23:17 +0100

vbackup (0.1-3) unstable; urgency=low

  * Added vbackup-clean to remove obsolete backups.
  * Speed-Up in comparision of files
  * Makefile changes
  * small changes to cron.daily example
  * removed README.Debian
  * changed description

 -- Martin Waitz <tali@rommelwood.de>  Mon, 22 Jan 2001 10:29:04 +0100

vbackup (0.1-2) unstable; urgency=low

  * Rebuild using dpkg-source 1.8.3

 -- Martin Waitz <tali@rommelwood.de>  Sat, 13 Jan 2001 21:25:43 +0100

vbackup (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Martin Waitz <tali@rommelwood.de>  Tue, 19 Dec 2000 14:47:20 +0100

=== debian/control ===
Source: faubackup
Section: admin
Priority: optional
Maintainer: Martin Waitz <tali@debian.org>
Build-Depends: debhelper (>= 4.1.46), cdbs, libpopt-dev
Standards-Version: 3.6.1.0

Package: faubackup
Architecture: any
Depends: ${shlibs:Depends}, perl-modules
Replaces: vbackup
Provides: vbackup
Conflicts: vbackup
Recommends: ssh | rsh-client
Description: Backup System using a Filesystem for Storage
 This Program uses a filesystem on a hard drive for incremental
 and full backups.
 All Backups can easily be accessed by standard filesystem tools
 (ls, find, grep, cp, ...)
 .
 Later Backups to the same filesystem will automatically be
 incremental, as unchanged files are only hard-linked with
 the existing version of the file.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_MAKE_CHECK_TARGET = check

## faubackup 0.5.9

=== debian/changelog ===
faubackup (0.5.9) unstable; urgency=low

  * support for custom config file locations (Closes: #273140)
  * really propagate error status of child processes (Closes: #348316)
  * check for ..inodes directories (Closes: #357865)
  * Make error messages more consistant and clear (Closes: #329866)
  * Support for O_NOATIME

 -- Martin Waitz <tali@debian.org>  Wed, 26 Apr 2006 23:57:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin Waitz <tali@debian.org>
 Build-Depends: debhelper (>= 4.1.46), cdbs, libpopt-dev
-Standards-Version: 3.6.1.0
+Standards-Version: 3.7.2
 
 Package: faubackup
 Architecture: any
